#image - é a imagem que vou utilizar
#image: node:19.1
stages:
  - teste
  - build
  - deploy

executar_teste:
  stage: teste
  before_script:
    - echo "Preparando testes..."
    -  chmod +x ./script.sh
  script: 
    - ./script.sh
  after_script:
    - echo "Apagando arquivos temporários..."
executar_teste2:
#image - é a imagem que vou utilizar
  image: node:19.1
  stage: teste
  script: 
  - echo "Executando teste 2..."
  - npm version
criar_imagens:
  stage: build
  script: 
    - echo "Criando as imagens..."
push_images:
  needs: #apenas executar quando o anterio for executado
    - criar_imagens
  stage: build
  script: 
    - echo "Publicando as imagens..."

kubernetes:
  stage: deploy 
  script:
  - echo "executando deploy"